Bug 18952 - Show internal note in acquisitions details tab
Summary: Show internal note in acquisitions details tab
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-18 14:22 UTC by Katrin Fischer
Modified: 2019-05-29 07:29 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This enhancement makes internal and vendor notes visible in the acquisitions details tab that is displayed for each bibliographic record when the `AcquisitionDetails` system preferences is enabled.
Version(s) released in:


Attachments
Bug 18952: Add internal note to acq details tab (1.62 KB, patch)
2019-02-04 20:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18952: Add internal note to acq details tab (2.15 KB, patch)
2019-02-04 20:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18952: Add internal note to acq details tab (2.17 KB, patch)
2019-02-06 06:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18952: Add internal note to acq details tab (2.21 KB, patch)
2019-02-08 20:27 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18952: Add internal note to acq details tab (2.28 KB, patch)
2019-02-15 20:51 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 18952: Add internal note to acq details tab (2.35 KB, patch)
2019-02-28 08:46 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-07-18 14:22:50 UTC
If the AcquisitionDetails system preference is used, there is an extra tab on the staff details page displaying information about the acquisition orders linked to this bibliographic record.

It would be nice if the internal note from the order would be displayed there as well.
Comment 1 Katrin Fischer 2019-02-04 20:38:13 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2019-02-04 20:56:43 UTC
Created attachment 84755 [details] [review]
Bug 18952: Add internal note to acq details tab

Any important notes about an order are usually added to the
internal note. This patch makes the note visible on the
acq detail tab in the staff client.

To test:
- Add a basket
- Order something
- Add an internal note for the order
- Go to the detail page of the ordered record
- Switch to the Acquisition details tab
- Verify that with the patch the internal note shows
- Verify that the new column can be toggled using the
  column visibility settings
Comment 3 Owen Leonard 2019-02-05 13:57:06 UTC
Works well but needs one correction:

missing_filter at line 773 (            <td>[% order.order_internalnote %]</td>)
Comment 4 Katrin Fischer 2019-02-05 13:58:43 UTC
(In reply to Owen Leonard from comment #3)
> Works well but needs one correction:
> 
> missing_filter at line 773 (            <td>[% order.order_internalnote
> %]</td>)

you are so right *hides*
Comment 5 Katrin Fischer 2019-02-06 06:21:10 UTC
Created attachment 84806 [details] [review]
Bug 18952: Add internal note to acq details tab

Any important notes about an order are usually added to the
internal note. This patch makes the note visible on the
acq detail tab in the staff client.

To test:
- Add a basket
- Order something
- Add an internal note for the order
- Go to the detail page of the ordered record
- Switch to the Acquisition details tab
- Verify that with the patch the internal note shows
- Verify that the new column can be toggled using the
  column visibility settings
Comment 6 Katrin Fischer 2019-02-06 06:21:56 UTC
Since the patch and the change are so smal, I've amended the patch with the filter.
Comment 7 Maryse Simard 2019-02-08 20:27:37 UTC
Created attachment 84901 [details] [review]
Bug 18952: Add internal note to acq details tab

Any important notes about an order are usually added to the
internal note. This patch makes the note visible on the
acq detail tab in the staff client.

To test:
- Add a basket
- Order something
- Add an internal note for the order
- Go to the detail page of the ordered record
- Switch to the Acquisition details tab
- Verify that with the patch the internal note shows
- Verify that the new column can be toggled using the
  column visibility settings

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 8 Katrin Fischer 2019-02-09 09:00:37 UTC
Thx Maryse!
Comment 9 Pierre-Marc Thibault 2019-02-15 20:51:29 UTC
Created attachment 85195 [details] [review]
Bug 18952: Add internal note to acq details tab

Any important notes about an order are usually added to the
internal note. This patch makes the note visible on the
acq detail tab in the staff client.

To test:
- Add a basket
- Order something
- Add an internal note for the order
- Go to the detail page of the ordered record
- Switch to the Acquisition details tab
- Verify that with the patch the internal note shows
- Verify that the new column can be toggled using the
  column visibility settings

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 10 Josef Moravec 2019-02-28 08:46:39 UTC
Created attachment 85825 [details] [review]
Bug 18952: Add internal note to acq details tab

Any important notes about an order are usually added to the
internal note. This patch makes the note visible on the
acq detail tab in the staff client.

To test:
- Add a basket
- Order something
- Add an internal note for the order
- Go to the detail page of the ordered record
- Switch to the Acquisition details tab
- Verify that with the patch the internal note shows
- Verify that the new column can be toggled using the
  column visibility settings

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 11 Nick Clemens 2019-03-15 19:56:55 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-03-19 10:57:59 UTC
Enhancement, will not be backported to 18.11.x series.